#include<bits/stdc++.h> 
using namespace std; 
  
int main() 
{ 
    int n,k,polje,br;
    cin>>n>>k;
    vector<int> tabela;
    vector<int> ispis;
    tabela.assign(2*n+1,0);
	for (int i=0; i<n;i++)
	{
		cin>>polje;
		tabela[polje+n]++;
	}
	for (int j=0; j<tabela.size();j++)
	{
		if(tabela[j]>=k)
   		ispis.push_back(j-n); 
	}
	cout<<ispis.size();
	for (int m=0; m<ispis.size();m++)
	{
		cout<<ispis[m];		
	}
	
	
	
    
    return 0; 
}